## dmidecode 2.6

=== Makefile ===
--- 
+++ 
@@ -3,17 +3,16 @@
 #	BIOS Decode
 #
 #	(C) 2000-2002 Alan Cox <alan@redhat.com>
-#	(C) 2002-2004 Jean Delvare <khali@linux-fr.org>
+#	(C) 2002-2005 Jean Delvare <khali@linux-fr.org>
 #
 #	Licensed under the GNU Public License.
 #
 
 CC      = gcc
 CFLAGS  = -W -Wall -Wshadow -Wstrict-prototypes -Wpointer-arith -Wcast-qual \
-          -Wcast-align -Wwrite-strings -pedantic
+          -Wcast-align -Wwrite-strings -Wmissing-prototypes
 #CFLAGS += -DBIGENDIAN
 #CFLAGS += -DALIGNMENT_WORKAROUND
-CFLAGS += -DUSE_MMAP
 
 # When debugging, disable -O2 and enable -g.
 CFLAGS += -O2
@@ -50,19 +49,19 @@
 # Objects
 #
 
-dmidecode.o : dmidecode.c version.h types.h util.h
+dmidecode.o : dmidecode.c version.h types.h util.h config.h
 	$(CC) $(CFLAGS) -c $< -o $@
 
-biosdecode.o : biosdecode.c version.h types.h util.h
+biosdecode.o : biosdecode.c version.h types.h util.h config.h 
 	$(CC) $(CFLAGS) -c $< -o $@
 
-ownership.o : ownership.c types.h util.h
+ownership.o : ownership.c version.h types.h util.h config.h
 	$(CC) $(CFLAGS) -c $< -o $@
 
-vpddecode.o : vpddecode.c version.h types.h util.h
+vpddecode.o : vpddecode.c version.h types.h util.h config.h 
 	$(CC) $(CFLAGS) -c $< -o $@
 
-util.o : util.c types.h util.h
+util.o : util.c types.h util.h config.h
 	$(CC) $(CFLAGS) -c $< -o $@
 
 #
