## dmidecode 2.11

=== debian/changelog ===
dmidecode (2.11-5) unstable; urgency=low

  * Updating year in copyright file.
  * Updating to debhelper version 9.
  * Adding patch to avoid overwriting build environment rather than to
    just extend it.
  * Simplifying CFLAGS handing in rules.
  * Enabling hardening build options (Closes: #655891).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 21 Jan 2012 11:16:31 +0100

dmidecode (2.11-4) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Adding patch from Jean Delvare <khali@linux-fr.org> to fix boundary
    checks of memory array location codes (DMI type 16).
  * Adding patch from Jean Delvare <khali@linux-fr.org> to update to
    support SMBIOS specification version 2.7.1.
  * Sorting overrides in rules alphabetically.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 28 Oct 2011 21:54:37 +0200

dmidecode (2.11-3) unstable; urgency=low

  * Adding patch from Svante Signell <svante.signell@telia.com> to
    enable build of all targets on GNU/Hurd (Closes: #643649).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 28 Sep 2011 13:03:50 +0200

dmidecode (2.11-2) unstable; urgency=low

  * Adding patch from Stefan Tauner <stefan.tauner@student.tuwien.ac.at>
    to correctly decode the chassis-type (Closes: #637028).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 28 Sep 2011 06:42:29 +0200

dmidecode (2.11-1) unstable; urgency=low

  * Taking over package from Petter with thanks for his past work on the
    package.
  * Merging upstream version 2.11 (Closes: #531843, #639169).
  * Removing useless whitespaces at EOL and EOF.
  * Updating to debhelper version 8.
  * Updating to standards version 3.9.2.
  * Adding homepage field.
  * Switching to source format 3.0 (quilt).
  * Removing pre-squeeze conflict against lm-sensors.
  * Using architecture patterns (Closes: #480571).
  * Sorting depends.
  * Adding misc-depends to udeb.
  * Removing watch file.
  * Rewriting package descriptions.
  * Rewriting copyright file in machine-interpretable format.
  * Prefixing debhelper files with package name.
  * Adding authors file to docs.
  * Minimizing rules file.
  * Sorting fields in control.
  * Removing unused debhelper dirs files.
  * Adding debhelper install files.
  * Avoid installing readme file, no additional useful content.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 27 Sep 2011 21:23:46 +0200

dmidecode (2.9-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Correctly set package type for the udeb. Allows to simplify debian/rules
    and ensures a correct dependency on libc6-udeb. Closes: #562014.
  * Update debhelper compat to version 6.
  * Don't ignore errors during 'make clean'.

 -- Frans Pop <fjp@debian.org>  Tue, 22 Dec 2009 05:13:24 +0100

dmidecode (2.9-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on kfreebsd-amd64 by adding it to the list of supported
    architectures for the second package (Closes: #493385). Thanks to
    Petr Salinger.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 30 Jun 2009 01:49:22 +0200

dmidecode (2.9-1) unstable; urgency=low

  * New upstream release (Closes: #413747).
   - Drop patch 30_upstream_20060601 included upstream.
   - Reintroduce -ansi and extend 20_ansi_c.dpatch to make the source
     ANSI C compliant again. (Closes: #406031)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 18 May 2007 11:33:24 +0200

dmidecode (2.8-4) unstable; urgency=low

  * Update CFLAGS line, drop -ansi to avoid build failure on
    ia64 (Closes: #406031), and add  -Winline -Wundef to
    match the upstream makefile.  Thanks to Dann Frazier for the clue.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  9 Jan 2007 09:11:26 +0100

dmidecode (2.8-3) unstable; urgency=low

  * New patch 30_upstream_20060601 from upstream CVS.
    - Detect EFI support at run time, to work properly on x86-based
      Mac (Closes: #375997)
    - Avoids unaligned memory access on ia64 and other archs.  (Closes: #398473)
  * Drop the patch to remove the product name lookup table from vpddecode,
    to avoid user visible changes this late in the debian release.
  * Drop patch to fix typo in Chassis height, to avoid user visible change.
  * Update standards-version from 2.6.2 to 2.7.2.  No change needed.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  7 Jan 2007 20:07:42 +0100

dmidecode (2.8-2) unstable; urgency=low

  * Add kfreebsd-amd64 to the architecture list.  It is claimed to
    work. (Closes: #355454)

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 29 Mar 2006 22:44:20 +0200

dmidecode (2.8-1) unstable; urgency=low

  * New upstream release.
  * Increased debhelper compat level from 3 to 4.
  * Add ${misc:Depends} as a dependency.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 10 Feb 2006 21:52:51 +0100

dmidecode (2.7-2) unstable; urgency=low

  * Change priority for dmidecode from optional to important to
    match override file.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 20 Aug 2005 23:39:08 +0200

dmidecode (2.7-1) unstable; urgency=low

  * New upstream release.
    - Include new command line interface making it easier for scripts
      to extract the values they want.
    - Default output format is slightly changed.  This might break existing
      scripts, which should use the new command line options instead.
    - Added supprt for more products in vpddecode.
  * Remove David Z. Maze as uploader on request from Jeroen van
    Wolffelaar.  David is giving up package maintainence.
  * Removing 30_upstream_20050605 now included in release 2.7.
  * Updated Standards-Version to 3.6.2.  No changes.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 20 Aug 2005 23:20:14 +0200

dmidecode (2.6-2) unstable; urgency=low

  * Add new archs kfreebsd-i386 knetbsd-i386. (Closes: #303511)
  * Add 30_upstream_20050605.dpatch to get the latest changes
    from upstream CVS.


