=== debian/control ===
Source: dmidecode
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.2
Homepage: http://dmidecode.nongnu.org/

Package: dmidecode
Priority: important
Architecture: any-amd64 ia64 any-i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SMBIOS/DMI table decoder
 Dmidecode reports information about the system's hardware as described in the
 system BIOS according to the SMBIOS/DMI standard.
 .
 This information typically includes system manufacturer, model name, serial
 number, BIOS version, asset tag as well as a lot of other details of varying
 level of interest and reliability depending on the manufacturer. This will
 often include usage status for the CPU sockets, expansion slots (e.g. AGP, PCI,
 ISA) and memory module slots, and the list of I/O ports (e.g. serial, parallel,
 USB).
 .
 Beware that DMI data have proven to be too unreliable to be blindly trusted.
 Dmidecode does not scan the hardware, it only reports what the BIOS told it to.

Package: dmidecode-udeb
Section: debian-installer
Architecture: any-amd64 ia64 any-i386
Depends: ${misc:Depends}, ${shlibs:Depends}
XC-Package-Type: udeb
Description: SMBIOS/DMI table decoder (udeb)
