=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@}

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS) -Os -ansi"

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

	# remove useless files
	rm -f debian/tmp/usr/share/doc/dmidecode/CHANGELOG
	rm -f debian/tmp/usr/share/doc/dmidecode/README

override_dh_builddeb:
	dh_builddeb -- -Zgzip -z9

override_dh_install:
	dh_install --fail-missing
