## dmidecode 2.11+20120326

=== debian/changelog ===
dmidecode (2.11+20120326-2) unstable; urgency=low

  * Updating GPL boilerplate in copyright file.
  * Switching to xz compression.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 04:59:24 +0200

dmidecode (2.11+20120326-1) unstable; urgency=low

  * Merging upstream version 2.11+20120326.
  * Removing chassis-type.patch, included upstream.
  * Removing type16-fix.patch, including upstream.
  * Removing smbios-271.patch, included upstream.
  * Rediffing manpage-hyphen.patch.
  * Renumbering patches.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 26 Jun 2012 01:07:02 +0200

dmidecode (2.11-9) unstable; urgency=low

  * Adding debug package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 18 May 2012 13:29:25 +0200

dmidecode (2.11-8) unstable; urgency=low

  * Using package type instead of custom field for udeb package.
  * Adding patch to escape hypens in manpage.
  * Also passing cppflags to make (Closes: #655891).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 18 May 2012 12:36:27 +0200

dmidecode (2.11-7) unstable; urgency=low

  * Updating compression handling for udeb with newer debhelper.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 18 May 2012 08:00:01 +0200

dmidecode (2.11-6) unstable; urgency=low

  * Also passing ldflags to configure to enable all hardening build
    flags (Closes: #655891).
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 16 Apr 2012 09:23:37 +0000
