=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://dmidecode.nongnu.org/
 
 Package: dmidecode
@@ -24,9 +24,20 @@
  Beware that DMI data have proven to be too unreliable to be blindly trusted.
  Dmidecode does not scan the hardware, it only reports what the BIOS told it to.
 
+Package: dmidecode-dbg
+Section: debug
+Priority: extra
+Architecture: any-amd64 ia64 any-i386
+Depends: ${misc:Depends}, dmidecode (= ${binary:Version})
+Description: SMBIOS/DMI table decoder (debug)
+ Dmidecode reports information about the system's hardware as described in the
+ system BIOS according to the SMBIOS/DMI standard.
+ .
+ This package contains the debugging symbols.
+
 Package: dmidecode-udeb
 Section: debian-installer
 Architecture: any-amd64 ia64 any-i386
+Package-Type: udeb
 Depends: ${misc:Depends}, ${shlibs:Depends}
-XC-Package-Type: udeb
 Description: SMBIOS/DMI table decoder (udeb)
