## dmidecode 2.12

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: dmidecode
 Section: utils
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Luk Claes <luk@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://dmidecode.nongnu.org/
 
 Package: dmidecode
 Priority: important
-Architecture: any-amd64 ia64 any-i386
+Architecture: any-amd64 armhf ia64 any-i386
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: SMBIOS/DMI table decoder
  Dmidecode reports information about the system's hardware as described in the
@@ -27,7 +27,7 @@
 Package: dmidecode-dbg
 Section: debug
 Priority: extra
-Architecture: any-amd64 ia64 any-i386
+Architecture: any-amd64 armhf ia64 any-i386
 Depends: ${misc:Depends}, dmidecode (= ${binary:Version})
 Description: SMBIOS/DMI table decoder (debug)
  Dmidecode reports information about the system's hardware as described in the
@@ -37,7 +37,7 @@
 
 Package: dmidecode-udeb
 Section: debian-installer
-Architecture: any-amd64 ia64 any-i386
+Architecture: any-amd64 armhf ia64 any-i386
 Package-Type: udeb
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: SMBIOS/DMI table decoder (udeb)
