=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh ${@}
 
 override_dh_auto_build:
-	dh_auto_build -- CFLAGS="$(CFLAGS) -Os -ansi"
+	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS) -Os -ansi" LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install -- prefix=/usr
@@ -16,7 +16,10 @@
 	rm -f debian/tmp/usr/share/doc/dmidecode/README
 
 override_dh_builddeb:
-	dh_builddeb -- -Zgzip -z9
+	dh_builddeb -- -Zxz -z9
 
 override_dh_install:
 	dh_install --fail-missing
+
+override_dh_strip:
+	dh_strip --dbg-package=dmidecode-dbg
