## dmidecode 3.0

=== debian/changelog ===
dmidecode (3.0-2) unstable; urgency=medium

  * New debian/patches/05-dmidecode-avoid-sigbus.patch (Closes: #796963):
    - Avoid SIGBUS on mmap failure

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 01 Oct 2015 10:01:04 +0200

dmidecode (3.0-1) unstable; urgency=medium

  * Correct typo at debian/changelog.
  * New upstream release.
    - Refresh patches:
      + debian/patches/02-hurd.patch
      + debian/patches/03-build.patch
    - Remove applied patches:
      + debian/patches/04-manpage-hyphen.patch
      + debian/patches/05-supported-smbios-ver.patch
  * debian/watch:
    - Add opts for signing key.
    - Force upload as xz archive.
  * New debian/upstream/signing-key.pgp.
  * New debian/source/include-binaries:
    - Add debian/upstream/signing-key.pgp.
  * New debian/upstream/metadata:
    - Add some DEP-12 upstream metadata.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 29 Sep 2015 05:42:43 +0200

dmidecode (2.12-4) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Add arm64 to Architecture (Closes: #767965 ).
    - Remove unwanted debian/source/options.
    - Change Vcs-* to new cgit based repository viewer.
  * debian/copyright:
    - Add year 2015.
  * debian/rules:
    - Remove override_dh_builddeb because compression xz is now standard.
  * debian/patches/05-supported-smbios-ver.patch:
    - Add description.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 27 Apr 2015 12:05:44 +0200

dmidecode (2.12-3) unstable; urgency=medium

  * debian/control
    - bump Standards-Version to 3.9.5
    - add Vcs-*
  * New Maintainer ( Closes: #748486)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 19 May 2014 18:01:43 +0200

dmidecode (2.12-2) unstable; urgency=low

  * Also build for armhf (Closes: #715139).

 -- Luk Claes <luk@debian.org>  Thu, 15 Aug 2013 11:24:31 +0200

dmidecode (2.12-1) unstable; urgency=low

  * New upstream version.
  * Add watch file.
  * Add upstream patch to kill warnings (Closes: #706004).

 -- Luk Claes <luk@debian.org>  Tue, 07 May 2013 08:52:36 +0200

dmidecode (2.11+20120326-3) unstable; urgency=low

  * Take over maintenance with maintainer's consent.

 -- Luk Claes <luk@debian.org>  Sun, 10 Mar 2013 21:55:43 +0100
