=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: dmidecode
 Section: utils
 Priority: optional
-Maintainer: Luk Claes <luk@debian.org>
+Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/dmidecode.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/dmidecode.git
 Homepage: http://dmidecode.nongnu.org/
 
 Package: dmidecode
 Priority: important
-Architecture: any-amd64 armhf ia64 any-i386
+Architecture: any-amd64 arm64 armhf ia64 any-i386
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: SMBIOS/DMI table decoder
  Dmidecode reports information about the system's hardware as described in the
@@ -27,7 +29,7 @@
 Package: dmidecode-dbg
 Section: debug
 Priority: extra
-Architecture: any-amd64 armhf ia64 any-i386
+Architecture: any-amd64 arm64 armhf ia64 any-i386
 Depends: ${misc:Depends}, dmidecode (= ${binary:Version})
 Description: SMBIOS/DMI table decoder (debug)
  Dmidecode reports information about the system's hardware as described in the
@@ -37,7 +39,7 @@
 
 Package: dmidecode-udeb
 Section: debian-installer
-Architecture: any-amd64 armhf ia64 any-i386
+Architecture: any-amd64 arm64 armhf ia64 any-i386
 Package-Type: udeb
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: SMBIOS/DMI table decoder (udeb)
