=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,6 @@
 	rm -f debian/tmp/usr/share/doc/dmidecode/CHANGELOG
 	rm -f debian/tmp/usr/share/doc/dmidecode/README
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
-
 override_dh_install:
 	dh_install --fail-missing
