=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,pgpsigurlmangle=s/$/.sig/ \
http://download.savannah.gnu.org/releases/dmidecode/dmidecode-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:bz2|xz))
