=== debian/changelog ===
dmidecode (3.1-1) unstable; urgency=medium

  * New upstream release (LP: #1688162) (Closes: #860897):
    - Remove applied patches:
      + debian/patches/0110-nosysfs.patch
      + debian/patches/0115-no_smbios_DMI_entry_point.patch
      + debian/patches/0120-return_actual_data_size.patch
      + debian/patches/0125-use_read_file_to_read_DMI_table_from_sysfs.patch
      + debian/patches/0130-use_DWORD_for_table_max_size.patch
      + debian/patches/0135-hide_fixup_msg.patch
  * debian/copyright:
    - Add year 2017.
    - Change upstream email address.
  * debian/control:
    - Change Homepage.
  * Migrate to debhelper 10:
    - Change debian/compat to 10.
    - Bump minimum debhelper version in debian/control to >= 10.
  * Use the automatic debug symbol packages:
    - Remove dmidecode-dbg section from debian/control.
    - Remove override_dh_strip from debian/rules.
  * New README.source to explain the branching model used.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 24 Jun 2017 23:21:09 +0200

dmidecode (3.0-4) unstable; urgency=medium

  * debian/rules: Fix FTCBFS to pass suitable CC to make. (Closes: #835921).
    Thanks to Helmut Grohne <helmut@subdivi.de>.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 01 Sep 2016 04:59:53 +0200

dmidecode (3.0-3) unstable; urgency=medium

  * Rename patches.
  * Add recommended patches from upstream (Closes: #824180):
    - debian/patches/0110-nosysfs.patch
    - debian/patches/0115-no_smbios_DMI_entry_point.patch
    - debian/patches/0120-return_actual_data_size.patch
    - debian/patches/0125-use_read_file_to_read_DMI_table_from_sysfs.patch
    - debian/patches/0130-use_DWORD_for_table_max_size.patch
    - debian/patches/0135-hide_fixup_msg.patch
  * debian/control:
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Change Vcs-* to secure URIs.
  * debian/copyright:
    - Add year 2016.
    - Add new upstream author Xie XiuQi <xiexiuqi@huawei.com>.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 15 May 2016 18:33:09 +0200
