=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/dmidecode.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/dmidecode.git
-Homepage: http://dmidecode.nongnu.org/
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dmidecode.git
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/dmidecode.git
+Homepage: http://nongnu.org/dmidecode/
 
 Package: dmidecode
 Priority: important
@@ -26,17 +26,6 @@
  Beware that DMI data have proven to be too unreliable to be blindly trusted.
  Dmidecode does not scan the hardware, it only reports what the BIOS told it to.
 
-Package: dmidecode-dbg
-Section: debug
-Priority: extra
-Architecture: any-amd64 arm64 armhf ia64 any-i386
-Depends: ${misc:Depends}, dmidecode (= ${binary:Version})
-Description: SMBIOS/DMI table decoder (debug)
- Dmidecode reports information about the system's hardware as described in the
- system BIOS according to the SMBIOS/DMI standard.
- .
- This package contains the debugging symbols.
-
 Package: dmidecode-udeb
 Section: debian-installer
 Architecture: any-amd64 arm64 armhf ia64 any-i386
