=== debian/changelog ===
dmidecode (3.2-3) unstable; urgency=medium

  * Fix Scan only /dev/mem for entry point on x86 (Closes: #946911):
    - New debian/patches/0140-Fix_scan_entry_point.patch (Cherry picked from
      upstream Commit e12ec26e19e02281d3e7258c3aabb88a5cf5ec1d.
  * Declare compliance with Debian Policy 4.4.1.2 (No changes needed).
  * Add Smoketest:
    - New debian/tests/control.
  * Switch to debhelper-compat:
    - debian/control: Replace debhelper with debhelper-compat.
    - Remove debian/compat.
  * debian/control: Add Rules-Requires-Root.
  * Refresh debian/copyright.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 23 Dec 2019 18:56:41 +0100

dmidecode (3.2-2) unstable; urgency=medium

  * Mark dmidecode Multi-Arch: foreign (Closes: #929455).
   - Thanks to: Helmut Grohne <helmut@subdivi.de>.
  * Declare compliance with Debian Policy 4.4.0 (No changes needed).
  * debian/copyright:
    - Add year 2019 to debian/*.
  * Migrate to debhelper 12:
    - Change debian/compat to 12.
    - Bump minimum debhelper version in debian/control to >= 12.
    - debian/rules: Remove obsolete dh_install --fail-missing.

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 11 Jul 2019 20:30:31 +0200

dmidecode (3.2-1) unstable; urgency=medium

  * New upstream release:
    - Refresh patches.
  * Declare compliance with Debian Policy 4.2.1 (No changes needed).
  * debian/dmidecode.docs:
    - Add README.
  * debian/copyright:
    - Add year 2018 to * for Jean Delvare <jdelvare@suse.de>.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 07 Oct 2018 06:05:15 +0200

dmidecode (3.1-2) unstable; urgency=medium

  * debian/control:
    - Change to my new email address.
    - Use secure homepage URI.
    - Switch Vcs-* to new location (Closes: #902259).
  * debian/copyright:
    - Change to my new email address.
    - Use secure copyright format URI.
    - Add year 2018 to debian/*.
  * debian/rules:
    - Add "export DEB_CFLAGS_MAINT_APPEND  = -fPIE" and
      "export DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie" to fix missing CFLAGS
      and LDFLAGS.
  * debian/watch:
    - Use secure URI.
    - Switch to version 4.
  * Declare compliance with Debian Policy 4.1.5 (No changes needed).
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 05 Aug 2018 20:22:07 +0200
