=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: dmidecode
 Section: utils
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dmidecode.git
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/dmidecode.git
-Homepage: http://nongnu.org/dmidecode/
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.1.2
+Rules-Requires-Root: no
+Vcs-Git: git://jff.email/opt/git/dmidecode.git
+Vcs-Browser: https://jff.email/cgit/dmidecode.git/
+Homepage: https://nongnu.org/dmidecode/
 
 Package: dmidecode
 Priority: important
 Architecture: any-amd64 arm64 armhf ia64 any-i386
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: SMBIOS/DMI table decoder
  Dmidecode reports information about the system's hardware as described in the
