=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND  = -fPIE
+export DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie
+
 
 include /usr/share/dpkg/architecture.mk
 ifeq ($(origin CC),default)
@@ -19,6 +22,3 @@
 	# remove useless files
 	rm -f debian/tmp/usr/share/doc/dmidecode/CHANGELOG
 	rm -f debian/tmp/usr/share/doc/dmidecode/README
-
-override_dh_install:
-	dh_install --fail-missing
