=== debian/tests/control ===
# smoke test
Test-Command: /usr/sbin/dmidecode -V
Depends: dmidecode
