## dmidecode 3.2.2

=== debian/changelog ===
dmidecode (3.2.2-1+eagle) unstable; urgency=low

  * ['Autobuild release-candidate: 5dabcbaa63ad5c14d96725e15efb6af5c2c462f8']

 -- shuttle <shuttle@deepin.com>  Thu, 05 Nov 2020 08:38:21 +0000
