=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,6 @@
 	# remove useless files
 	rm -f debian/tmp/usr/share/doc/dmidecode/CHANGELOG
 	rm -f debian/tmp/usr/share/doc/dmidecode/README
+
+override_dh_install:
+	dh_install --fail-missing
