## dmidecode 3.3

=== debian/changelog ===
dmidecode (3.3-2~mx19ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 08 Jul 2021 20:09:27 -0400

dmidecode (3.3-2) unstable; urgency=medium

  * Add upstream recommended patches (Closes: #987033):
    - New debian/patches/0145-Fix_condition_error_in_ascii_filter.patch.
    - New debian/patches/0150-Fix_crash.patch.
  * Declare compliance with Debian Policy 4.5.1 (No changes needed).
  * debian/copyright:
    - Add year 2021 to myself.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 17 May 2021 18:53:43 +0200

dmidecode (3.3-1) unstable; urgency=medium

  * New upstream release.
    - Remove upstream applied patches:
      + debian/patches/0140-Fix_scan_entry_point.patch
      + debian/patches/0005-build.patch
    + Refresh debian/patches/0001-hurd.patch.
  * Declare compliance with Debian Policy 4.5.0 (No changes needed).
  * Migrate to debhelper 13:
    - Bump debhelper-compat version in debian/control to = 13.
  * Remove unused debian/source/include-binaries.
  * Remove superficial test.
  * debian/copyright:
    - Add year 2020 to Jean Delvare and myself.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 17 Oct 2020 10:31:23 +0200

dmidecode (3.2-4) unstable; urgency=medium

  * Add "Restrictions: superficial" to debian/tests/control (Closes: #969819).

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 14 Sep 2020 14:18:46 +0200
