=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: dmidecode
 Section: utils
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff.email>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1.2
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: git://jff.email/opt/git/dmidecode.git
 Vcs-Browser: https://jff.email/cgit/dmidecode.git/
