=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,9 @@
 %:
 	dh ${@}
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_build:
 	dh_auto_build -- CC=$(CC) CFLAGS="$(CFLAGS) $(CPPFLAGS) -Os -ansi" LDFLAGS="$(LDFLAGS)"
 
@@ -22,6 +25,3 @@
 	# remove useless files
 	rm -f debian/tmp/usr/share/doc/dmidecode/CHANGELOG
 	rm -f debian/tmp/usr/share/doc/dmidecode/README
-
-override_dh_install:
-	dh_install --fail-missing
