## dmidecode 3.3-3ubuntu0.1+11.0trisquel0

=== debian/changelog ===
dmidecode (3.3-3ubuntu0.1+11.0trisquel0) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 08 Nov 2022 02:43:07 +0000

dmidecode (3.3-3ubuntu0.1) jammy; urgency=medium

  * Support SMBIOS 3.4 and 3.5 for Hardware Enablement in 22.04 LTS (LP: #1986852)
    - d/p/lp1986852-0001-Add-new-memory-device-types-from-SMBIOS-spec-3.4.0.patch
    - d/p/lp1986852-0002-Add-new-processor-upgrades-from-SMBIOS-spec-3.4.0.patch
    - d/p/lp1986852-0003-Add-new-slot-characteristics2-from-SMBIOS-spec-3.4.0.patch
    - d/p/lp1986852-0004-dmidecode-Handle-memory-module-extended-speed-fields.patch
    - d/p/lp1986852-0005-dmidecode-Add-new-system-slot-types-from-SMBIOS-spec.patch
    - d/p/lp1986852-0006-Add-new-processor-characteristics-bits-from-SMBIOS-s.patch
    - d/p/lp1986852-0007-Missing-comma-in-the-dmi_slot_type.patch
    - d/p/lp1986852-0008-dmidecode-Support-new-format-of-Processor-ID-from-SM.patch
    - d/p/lp1986852-0009-Support-new-byte-value-of-Processor-Upgrade-field-fr.patch
    - d/p/lp1986852-0010-dmidecode-Make-dmi_slot_bus_width-reusable.patch
    - d/p/lp1986852-0011-dmidecode-Add-missing-bits-from-SMBIOS-3.4.0-specifi.patch
    - d/p/lp1986852-0012-dmidecode-Add-new-fields-and-enumerated-values-from-.patch
    - d/p/lp1986852-0013-dmidecode-Add-support-for-type-45-records-Firmware-I.patch
    - d/p/lp1986852-0014-dmidecode-Enumerate-the-new-struct-types.patch
    - d/p/lp1986852-0015-dmidecode-Set-supported-version-to-3.5.0.patch

  * d/control: update-maintainer.

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 23 Aug 2022 20:52:47 -0300

dmidecode (3.3-3) unstable; urgency=medium

  * Add Architecture riscv64 (Closes: #991854).
  * Declare compliance with Debian Policy 4.6.0.0 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 20 Aug 2021 08:15:05 +0200
