=== debian/changelog ===
dmidecode (3.3-3ubuntu0.2+11.0trisquel0) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 12 Dec 2024 00:43:03 +0000

dmidecode (3.3-3ubuntu0.2) jammy; urgency=medium

  * Add processor support from SMBIOS 3.6.0 (LP: #2081611)
    - debian/patches/lp-2081611-add-processor-support-from-smbios-3.6.0.patch

 -- Joao Andre Simioni <joao.simioni@canonical.com>  Mon, 14 Oct 2024 17:28:46 -0300
